CAT(1)

NAME
cat - concatenate and print files

SYNOPSIS
cat [-suv [-et]] [-B size] [file ...]

DESCRIPTION
Cat reads each file in sequence and writes it on the standard output. Thus

    cat file

prints the file and

    cat file1 file2 >file3

concatenates the first two files and places the result on the third.

If no file is given, or if the argument `-' is encountered, cat reads from the standard input.

The cat command accepts the following options:

-u  Ensures output to be unbuffered.

-s  Causes cat to be silent about files that cannot be opened, read problems and similar error conditions.

-v  With this option given, non-printable characters are detected and printed as `^n' for control characters and `M-n' for characters with the high bit set.

-t  If -v is present, this option causes tab and formfeed characters to be handled as control characters.

-e  If -v is present, this option causes end-of-line to be marked with `$'.

The following option is an extension:

-B size
    Causes input and output to be performed in size byte units.

ENVIRONMENT VARIABLES

LANG, LC_ALL
    See locale(7).

LC_CTYPE
    Determines the mapping of bytes to characters and the set of printable characters for the -v option.

SEE ALSO
cp(1), pg(1), pr(1), locale(7)

NOTES
Beware of `cat a b >a' and `cat a b >b', which destroy input files before reading them.